Preset fees

Returns the list of preset fees.

get
/preset-fees

The preset fees are sorted by creation date, with the most recent preset fee appearing first.

Authorizations
RIALTO_API_KEYstringRequired
Responses
chevron-right
200

A JSON array of preset fees.

application/json
idstring · uuidOptional

The unique identifier of the preset fee.

feeDirectionstring · enumOptional

The type of the fee. Possible values are:

  • OFFRAMP: The fee only concerns off-ramping of blockchain asset to fiat currency,
  • ONRAMP: The fee only concerns on-ramping of fiat currency to blockchain asset.
  • ONOFFRAMP: The fee concerns both on-ramping and off-ramping.
Possible values:
fiatFeeGroupstringOptional

The fiat fee group of the preset fee. See the list of supported fiat fee groups.

blockchainFeeGroupstringOptional

The blockchain fee group of the preset fee. See the list of supported blockchain fee groups.

configurationone ofOptional

The configuration of the preset fee.

or
or
createdAtstring · date-timeOptional

The creation date of the preset fee.

get
/preset-fees

Returns a preset fee by ID.

get
/preset-fees/{presetFeeId}

Returns a preset fee by its unique identifier.

Authorizations
RIALTO_API_KEYstringRequired
Path parameters
presetFeeIdstring · uuidRequired

The unique identifier of the preset fee.

Responses
chevron-right
200

A preset fee.

application/json
idstring · uuidOptional

The unique identifier of the preset fee.

feeDirectionstring · enumOptional

The type of the fee. Possible values are:

  • OFFRAMP: The fee only concerns off-ramping of blockchain asset to fiat currency,
  • ONRAMP: The fee only concerns on-ramping of fiat currency to blockchain asset.
  • ONOFFRAMP: The fee concerns both on-ramping and off-ramping.
Possible values:
fiatFeeGroupstringOptional

The fiat fee group of the preset fee. See the list of supported fiat fee groups.

blockchainFeeGroupstringOptional

The blockchain fee group of the preset fee. See the list of supported blockchain fee groups.

configurationone ofOptional

The configuration of the preset fee.

or
or
createdAtstring · date-timeOptional

The creation date of the preset fee.

get
/preset-fees/{presetFeeId}

Last updated